Skip to main content
POST
/
v1
/
aml
/
screen
AML Screening
curl --request POST \
  --url https://api.kiriku.app/v1/aml/screen \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "dateOfBirth": "<string>",
  "nationality": "<string>",
  "documentNumber": "<string>"
}
'
{
  "screened": true,
  "riskLevel": "low",
  "hits": [
    {
      "entityId": "<string>",
      "name": "<string>",
      "score": 123,
      "datasets": [
        "<string>"
      ],
      "topics": [
        "<string>"
      ]
    }
  ],
  "listsChecked": 123,
  "checkedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
firstName
string
required
lastName
string
required
dateOfBirth
string
nationality
string
documentNumber
string

Response

200 - application/json

AML screening completed

screened
boolean
riskLevel
enum<string>
Available options:
low,
medium,
high,
critical
hits
object[]
listsChecked
number
checkedAt
string<date-time>